All of lore.kernel.org
 help / color / mirror / Atom feed
From: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
To: buildroot@busybox.net
Subject: [Buildroot] [PATCH v5 4/5] dependencies.sh: XBMC needs java on the host
Date: Thu, 13 Feb 2014 23:59:53 +0100	[thread overview]
Message-ID: <1392332394-27935-5-git-send-email-maxime.hadjinlian@gmail.com> (raw)
In-Reply-To: <1392332394-27935-1-git-send-email-maxime.hadjinlian@gmail.com>

XBMC uses a code-generator which is build in two phases:
In the first phase SWIG is used to parse C++ header files that define the API.
SWIG outputs an XML file that contains a complete description of the structure
of the API.
In the second phase, the XML file is ingested by a Groovy (Java) program that
then creates C++ code that forms the bridge to the scripting language (Python).

The second phase is why we need java on the host.

You can learn more at the XBMC's wiki:
http://wiki.xbmc.org/index.php?title=Codegeneration#How_it_works

Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
---
 support/dependencies/dependencies.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 0e7e1fa..5f77f35 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -191,6 +191,16 @@ if grep -q ^BR2_PACKAGE_CLASSPATH=y $BR2_CONFIG ; then
 	done
 fi
 
+if grep -q ^BR2_PACKAGE_XBMC=y $BUILDROOT_CONFIG ; then
+	for prog in java; do
+		if ! which $prog > /dev/null ; then
+			echo >&2
+			echo "You must install '$prog' on your build machine" >&2
+			exit 1
+		fi
+	done
+fi
+
 if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $BR2_CONFIG ; then
 	if test ! -f /lib/ld-linux.so.2 ; then
 		echo
-- 
1.8.5.3

  parent reply	other threads:[~2014-02-13 22:59 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-02-13 22:59 [Buildroot] [PATCH v5 0/5] Introducing XBMC Maxime Hadjinlian
2014-02-13 22:59 ` [Buildroot] [PATCH v5 1/5] sdl: fix autoreconf timing issue Maxime Hadjinlian
2014-02-13 23:03   ` Maxime Hadjinlian
2014-02-13 22:59 ` [Buildroot] [PATCH v5 2/5] sdl: add host version Maxime Hadjinlian
2014-02-13 22:59 ` [Buildroot] [PATCH v5 3/5] sdl_image: " Maxime Hadjinlian
2014-02-13 22:59 ` Maxime Hadjinlian [this message]
2014-02-14  8:39   ` [Buildroot] [PATCH v5 4/5] dependencies.sh: XBMC needs java on the host Thomas Petazzoni
2014-02-14  8:59     ` Maxime Hadjinlian
2014-02-14 12:51     ` Mike Zick
2014-02-14 13:27       ` Maxime Hadjinlian
2014-02-14 20:35   ` Martin Bark
2014-02-14 23:33     ` Maxime Hadjinlian
2014-02-13 22:59 ` [Buildroot] [PATCH v5 5/5] xbmc: new package Maxime Hadjinlian
2014-02-14 22:59   ` Martin Bark
2014-02-14 23:51     ` Maxime Hadjinlian
2014-02-15 12:03       ` Maxime Hadjinlian
2014-02-18 15:43       ` Martin Bark
2014-02-18 15:50         ` Maxime Hadjinlian
2014-02-18 16:20           ` Martin Bark
2014-02-15 11:51   ` Yann E. MORIN
2014-02-15 12:07     ` Maxime Hadjinlian
2014-02-14  6:08 ` [Buildroot] [PATCH v5 0/5] Introducing XBMC Bernd Kuhls
2014-02-14 22:41 ` Martin Bark
2014-02-14 23:53   ` Maxime Hadjinlian

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1392332394-27935-5-git-send-email-maxime.hadjinlian@gmail.com \
    --to=maxime.hadjinlian@gmail.com \
    --cc=buildroot@busybox.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.